## dbench 1.3

=== Makefile ===
VERSION = 1.2.01

CC = gcc
CFLAGS = -O2 -Wall 
CPPFLAGS = "-DVERSION=\"$(VERSION)\""

DB_OBJS = fileio.o util.o dbench.o child.o
TB_OBJS = sockio.o util.o dbench.o child.o socklib.o
SRV_OBJS = util.o tbench_srv.o socklib.o

all: dbench tbench tbench_srv

dbench: $(DB_OBJS)
	$(CC) -o $@ $(DB_OBJS)

tbench: $(TB_OBJS)
	$(CC) -o $@ $(TB_OBJS)

tbench_srv: $(SRV_OBJS)
	$(CC) -o $@ $(SRV_OBJS)

clean:
	rm -f *.o *~ dbench tbench tbench_srv

proto:
	cat *.c | awk -f mkproto.awk > proto.h

## dbench 2.0

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,13 @@
-VERSION = 1.2.01
+VERSION=2.0
+
+DESTDIR=/usr/local
+BINDIR=$(DESTDIR)/bin/
+MANDIR=$(DESTDIR)/man/man1/
+DATADIR=./
 
 CC = gcc
 CFLAGS = -O2 -Wall 
-CPPFLAGS = "-DVERSION=\"$(VERSION)\""
+CPPFLAGS = -DVERSION=\"$(VERSION)\" -DDATADIR=\"$(DATADIR)\"
 
 DB_OBJS = fileio.o util.o dbench.o child.o
 TB_OBJS = sockio.o util.o dbench.o child.o socklib.o
@@ -19,6 +24,15 @@
 tbench_srv: $(SRV_OBJS)
 	$(CC) -o $@ $(SRV_OBJS)
 
+# Careful here: don't install client.txt over itself.
+install: all
+	install -d $(BINDIR) $(DATADIR) $(MANDIR)
+	install dbench tbench tbench_srv $(BINDIR)
+	install -m644 dbench.1 $(MANDIR)
+	ln -s dbench.1 $(MANDIR)/tbench.1
+	ln -s dbench.1 $(MANDIR)/tbench_srv.1
+	[ "$(DATADIR)" = ./ ] || install -m644 client.txt $(DATADIR)
+
 clean:
 	rm -f *.o *~ dbench tbench tbench_srv

## dbench 4.0

=== debian/changelog ===
dbench (4.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Bump debhelper compat to 12. (Closes: #965484)
  * debian/rules: use dh. (Closes: #999156)
  * Port to DebSrc3.0 (quilt)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 12 Dec 2022 22:43:32 +0800

dbench (4.0-2) unstable; urgency=low

  * Added build-depends on autoconf, fixes FTBFS (closes: #524415)
  * Added build-depends on libpopt-dev.

 -- Mattias Nordstrom <mnordstr@debian.org>  Fri, 17 Apr 2009 15:57:13 +0300

dbench (4.0-1) unstable; urgency=low

  * New upstream release
  * Updated to Debian Policy v3.8.1.0, no changes needed.
  * New maintainer email address.

 -- Mattias Nordstrom <mnordstr@debian.org>  Sat, 11 Apr 2009 16:36:19 +0300

dbench (3.04-2) unstable; urgency=low

  * Updated to Debian Policy v3.7.2, no changes needed.
  * Updated to debhelper version 5.
  * Updated watch file to version 3.
  * Updated the copyright file to include proper license information.

 -- Mattias Nordstrom <nordstrom@realnode.com>  Sat, 13 May 2006 22:50:29 +0300

dbench (3.04-1) unstable; urgency=low

  * New upstream release.
  * Removed VA_COPY patch from snprintf.c which has been fixed upstream.
  * Fixed incorrect Debian Policy version in control, should have been v3.6.2.1

 -- Mattias Nordstrom <nordstrom@realnode.com>  Fri, 18 Nov 2005 20:15:53 +0200

dbench (3.03-2) unstable; urgency=low

  * Applied patch that fixes compilation errors for amd64, s390 and powerpc
    (closes: #315357)
  * Acknowledge NMU (closes: #283397)

 -- Mattias Nordstrom <nordstrom@realnode.com>  Wed, 22 Jun 2005 09:48:50 +0300

dbench (3.03-1) unstable; urgency=low

  * New upstream release (closes: #262664)
  * Updated manpage (closes: #286567)
  * Cleanup (closes: #198334)
  * Updated to Debian Policy v3.6.2.1
  * Adopted package (closes: #312868)
  * Added upstream homepage to description in debian/control.

 -- Mattias Nordstrom <nordstrom@realnode.com>  Tue, 21 Jun 2005 14:09:30 +0300

dbench (2.0-1) unstable; urgency=low

  * New upstream release
  * Updated to Debian Policy v3.5.8.
  * Which means this belongs here (from debian/copyright):
    Originally downloaded from ftp://samba.org/pub/tridge/dbench/
    Upstream Author(s): Andrew Tridgell <tridge@samba.org>
                        Martin Pool <mbp@samba.org>

 -- Paul Russell <prussell@debian.org>  Fri,  7 Feb 2003 11:45:00 +0100

dbench (1.3-2) unstable; urgency=low

  * Insert space in "file servers" (closes: #124534)
  * Fix man page description (closes: #139605)

 -- Paul Russell <prussell@debian.org>  Mon, 25 Mar 2002 04:13:54 +0100

dbench (1.3-1) unstable; urgency=low

  * Initial Release (closes: #117124)
  * Added install target to Makefile.
  * Added default directory to find client.txt.
  * Wrote manpage.

 -- Paul Russell <prussell@debian.org>  Sun, 28 Oct 2001 09:30:05 +0100

=== debian/control ===
Source: dbench
Section: utils
Priority: optional
Maintainer: Mattias Nordstrom <mnordstr@debian.org>
Build-Depends: debhelper-compat (= 12), autoconf, libpopt-dev
Standards-Version: 3.8.1.0

Package: dbench
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://samba.org/ftp/tridge/dbench/
Description: The dbench (disk) and tbench (TCP) benchmarks
 dbench and tbench simulate the load of the netbench "industry
 standard" benchmark used to rate (windows) file servers.  Unlike netbench,
 they do not require a lab of Microsoft Windows PCs: dbench produces
 the filesystem load on a netbench run, and tbench produces the
 network load, allowing simpler bottleneck isolation.
 .
 Note that this benchmark is *not* a realistic reflection of normal
 server load.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --datadir=\$${prefix}/share/dbench

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp

=== debian/watch ===
version=3

ftp://ftp.samba.org/pub/tridge/dbench/dbench-(.*)\.tar\.gz debian uupdate
